---
updatedAt: 2025-06-23T09:04:25.000Z
agentTools:
  projectIndex: https://hashkeypro-apidoc.readme.io/llms.txt
---

# Get VIP Information

Retrieve VIP Level and Trading fee rates

**Weight: 5**

> 👍 Newly added endpoint

**Request Parameters**

| PARAMETER | TYPE   | Example values | Req 'd | DESCRIPTION   |
| :-------- | :----- | :------------- | :----- | :------------ |
| symbols   | STRING | USDTUSD,XRPUSD |        | Trading pairs |
| timestamp | LONG   |                | Y      | Timestamp     |

**Response Content**

| PARAMETER            | TYPE         | Example values | DESCRIPTION                                      |
| :------------------- | :----------- | :------------- | :----------------------------------------------- |
| code                 | INTEGER      | 0              | Status code                                      |
| msg                  | STRING       |                | Error message (if any)                           |
| vipLevel             | STRING       | 0              | VIP Level                                        |
| tradeVol30Day        | STRING       | 300000000      | Total trading volume in Last 30 days (USD)       |
| totalAssetBal        | STRING       | 1000000000     | Total asset balance (USD)                        |
| data                 | Object Array |                |                                                  |
| productType          | STRING       | Token-Token    | Token-Token, Token-Fiat, ST-Token                |
| buyMakerFeeCurrency  | STRING       | BTC            | Buy maker fee currency                           |
| buyTakerFeeCurrency  | STRING       | BTC            | Buy taker fee currency                           |
| sellMakerFeeCurrency | STRING       | USD            | Sell maker fee currency                          |
| sellTakerFeeCurrency | STRING       | USD            | Sell taker fee currency                          |
| actualMakerRate      | STRING       | 0.015          | Maker fee including any discount                 |
| actualTakerRate      | STRING       | 0.015          | Taker fee including any discount                 |
| updateTimeStamp      | LONG         | 1709330424013  | Update timestamp of the request (Daily snapshot) |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "default",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api-pro.sim.hashkeydev.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "X-HK-APIKEY",
        "x-default": "NuVdtBcogpRjyQ6sMMlC6KEB0xuXZbng9zXDPyT0TOWHp64UEkyIJ287bBhaW4vy"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/api/v1/account/vipInfo": {
      "get": {
        "summary": "Get VIP Information",
        "description": "Retrieve VIP Level and Trading fee rates",
        "operationId": "get-vip-info",
        "parameters": [
          {
            "name": "timestamp",
            "in": "query",
            "description": "Millisecond timestamp",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64",
              "default": 1707494885079
            }
          },
          {
            "name": "signature",
            "in": "query",
            "description": "Signature",
            "required": true,
            "schema": {
              "type": "string",
              "default": "b07580900f899f21c49bf0ab3486ca8a670b78148b82993d54726322417b18e5"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"code\": 0,\n    \"vipLevel\": \"0\",\n    \"tradeVol30Day\": \"0\",\n    \"totalAssetBal\": \"0\",\n    \"data\": [\n        {\n            \"symbol\": \"USDTUSD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"USD\",\n            \"buyTakerFeeCurrency\": \"USD\",\n            \"sellMakerFeeCurrency\": \"USD\",\n            \"sellTakerFeeCurrency\": \"USD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"BTCUSDC\",\n            \"productType\": \"Token-Token\",\n            \"buyMakerFeeCurrency\": \"BTC\",\n            \"buyTakerFeeCurrency\": \"BTC\",\n            \"sellMakerFeeCurrency\": \"USDC\",\n            \"sellTakerFeeCurrency\": \"USDC\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"COMPUSD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"USD\",\n            \"buyTakerFeeCurrency\": \"USD\",\n            \"sellMakerFeeCurrency\": \"USD\",\n            \"sellTakerFeeCurrency\": \"USD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"AVAXUSD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"USD\",\n            \"buyTakerFeeCurrency\": \"USD\",\n            \"sellMakerFeeCurrency\": \"USD\",\n            \"sellTakerFeeCurrency\": \"USD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"BTCUSD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"USD\",\n            \"buyTakerFeeCurrency\": \"USD\",\n            \"sellMakerFeeCurrency\": \"USD\",\n            \"sellTakerFeeCurrency\": \"USD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"USDTHKD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"HKD\",\n            \"buyTakerFeeCurrency\": \"HKD\",\n            \"sellMakerFeeCurrency\": \"HKD\",\n            \"sellTakerFeeCurrency\": \"HKD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"AAVEUSD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"USD\",\n            \"buyTakerFeeCurrency\": \"USD\",\n            \"sellMakerFeeCurrency\": \"USD\",\n            \"sellTakerFeeCurrency\": \"USD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"ETHUSD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"USD\",\n            \"buyTakerFeeCurrency\": \"USD\",\n            \"sellMakerFeeCurrency\": \"USD\",\n            \"sellTakerFeeCurrency\": \"USD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"BTCHKD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"HKD\",\n            \"buyTakerFeeCurrency\": \"HKD\",\n            \"sellMakerFeeCurrency\": \"HKD\",\n            \"sellTakerFeeCurrency\": \"HKD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"ETHUSDC\",\n            \"productType\": \"Token-Token\",\n            \"buyMakerFeeCurrency\": \"ETH\",\n            \"buyTakerFeeCurrency\": \"ETH\",\n            \"sellMakerFeeCurrency\": \"USDC\",\n            \"sellTakerFeeCurrency\": \"USDC\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"BTCUSDT\",\n            \"productType\": \"Token-Token\",\n            \"buyMakerFeeCurrency\": \"BTC\",\n            \"buyTakerFeeCurrency\": \"BTC\",\n            \"sellMakerFeeCurrency\": \"USDT\",\n            \"sellTakerFeeCurrency\": \"USDT\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"DOTUSD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"USD\",\n            \"buyTakerFeeCurrency\": \"USD\",\n            \"sellMakerFeeCurrency\": \"USD\",\n            \"sellTakerFeeCurrency\": \"USD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"MKRUSD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"USD\",\n            \"buyTakerFeeCurrency\": \"USD\",\n            \"sellMakerFeeCurrency\": \"USD\",\n            \"sellTakerFeeCurrency\": \"USD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"RNDRUSD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"USD\",\n            \"buyTakerFeeCurrency\": \"USD\",\n            \"sellMakerFeeCurrency\": \"USD\",\n            \"sellTakerFeeCurrency\": \"USD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"ETHUSDT\",\n            \"productType\": \"Token-Token\",\n            \"buyMakerFeeCurrency\": \"ETH\",\n            \"buyTakerFeeCurrency\": \"ETH\",\n            \"sellMakerFeeCurrency\": \"USDT\",\n            \"sellTakerFeeCurrency\": \"USDT\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"LTCUSD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"USD\",\n            \"buyTakerFeeCurrency\": \"USD\",\n            \"sellMakerFeeCurrency\": \"USD\",\n            \"sellTakerFeeCurrency\": \"USD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"MATICUSD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"USD\",\n            \"buyTakerFeeCurrency\": \"USD\",\n            \"sellMakerFeeCurrency\": \"USD\",\n            \"sellTakerFeeCurrency\": \"USD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"UNIUSD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"USD\",\n            \"buyTakerFeeCurrency\": \"USD\",\n            \"sellMakerFeeCurrency\": \"USD\",\n            \"sellTakerFeeCurrency\": \"USD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"USDTUSDC\",\n            \"productType\": \"Token-Token\",\n            \"buyMakerFeeCurrency\": \"USDT\",\n            \"buyTakerFeeCurrency\": \"USDT\",\n            \"sellMakerFeeCurrency\": \"USDC\",\n            \"sellTakerFeeCurrency\": \"USDC\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"DYDXUSD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"USD\",\n            \"buyTakerFeeCurrency\": \"USD\",\n            \"sellMakerFeeCurrency\": \"USD\",\n            \"sellTakerFeeCurrency\": \"USD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"LINKUSD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"USD\",\n            \"buyTakerFeeCurrency\": \"USD\",\n            \"sellMakerFeeCurrency\": \"USD\",\n            \"sellTakerFeeCurrency\": \"USD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"SPICEUSDC\",\n            \"productType\": \"ST-Token\",\n            \"buyMakerFeeCurrency\": \"USDC\",\n            \"buyTakerFeeCurrency\": \"USDC\",\n            \"sellMakerFeeCurrency\": \"USDC\",\n            \"sellTakerFeeCurrency\": \"USDC\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"ETHHKD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"HKD\",\n            \"buyTakerFeeCurrency\": \"HKD\",\n            \"sellMakerFeeCurrency\": \"HKD\",\n            \"sellTakerFeeCurrency\": \"HKD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"ATOMUSD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"USD\",\n            \"buyTakerFeeCurrency\": \"USD\",\n            \"sellMakerFeeCurrency\": \"USD\",\n            \"sellTakerFeeCurrency\": \"USD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"LDOUSD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"USD\",\n            \"buyTakerFeeCurrency\": \"USD\",\n            \"sellMakerFeeCurrency\": \"USD\",\n            \"sellTakerFeeCurrency\": \"USD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        },\n        {\n            \"symbol\": \"SNXUSD\",\n            \"productType\": \"Token-Fiat\",\n            \"buyMakerFeeCurrency\": \"USD\",\n            \"buyTakerFeeCurrency\": \"USD\",\n            \"sellMakerFeeCurrency\": \"USD\",\n            \"sellTakerFeeCurrency\": \"USD\",\n            \"actualMakerRate\": \"0.0015\",\n            \"actualTakerRate\": \"0.0015\"\n        }\n    ],\n    \"updateTimestamp\": \"1709330424013\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "vipLevel": {
                      "type": "string",
                      "example": "0"
                    },
                    "tradeVol30Day": {
                      "type": "string",
                      "example": "0"
                    },
                    "totalAssetBal": {
                      "type": "string",
                      "example": "0"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "symbol": {
                            "type": "string",
                            "example": "USDTUSD"
                          },
                          "productType": {
                            "type": "string",
                            "example": "Token-Fiat"
                          },
                          "buyMakerFeeCurrency": {
                            "type": "string",
                            "example": "USD"
                          },
                          "buyTakerFeeCurrency": {
                            "type": "string",
                            "example": "USD"
                          },
                          "sellMakerFeeCurrency": {
                            "type": "string",
                            "example": "USD"
                          },
                          "sellTakerFeeCurrency": {
                            "type": "string",
                            "example": "USD"
                          },
                          "actualMakerRate": {
                            "type": "string",
                            "example": "0.0015"
                          },
                          "actualTakerRate": {
                            "type": "string",
                            "example": "0.0015"
                          }
                        }
                      }
                    },
                    "updateTimestamp": {
                      "type": "string",
                      "example": "1709330424013"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"code\": \"-1002\",\n    \"msg\": \"Unauthorized operation\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string",
                      "example": "-1002"
                    },
                    "msg": {
                      "type": "string",
                      "example": "Unauthorized operation"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```